import { ViewBase } from '../../libappbase/viewbase';
import { UIWaitSOP } from '../../libappsop/objectsop';
import { AppMP } from '../appmp';
import { FormExternalSupplies } from '../forms/form.externalsupplies';

export class ViewExternalSupplies extends ViewBase implements UIWaitSOP {
  public readonly name = 'External Supplies ';
  public readonly viewPath = 'Inventory > External Supplies';

  public formExternalSupplies = new FormExternalSupplies();

  /**
   * Switch to External Supplies view
   */
  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();

    await appMP.abpInventory.isVisible();
    await appMP.abpInventory.click();
    await appMP.abpInventory.btnExternalSupplies.click();

    await this.waitUILoaded();
  }

  public async waitUILoaded(): Promise<void> {
    await this.formExternalSupplies.waitUntilPresent();
  }
}
